import request from "@/utils/request.js";

// 删除草稿
export function delete_comment(data, id) {
	return request({
		url: '/api/order/delete_comment/' + id,
		method: 'post',
		data
	});
}

// 保存草稿
export function save_comment(data) {
	return request({
		url: '/api/order/save_comment',
		method: 'post',
		data
	});
}

// 我的评价详情
export function my_reply(data, id) {
	return request({
		url: '/api/reply/my/' + id,
		method: 'get',
		data
	});
}

// 我的评价
export function my_replylist(data) {
	return request({
		url: '/api/reply/my',
		method: 'get',
		data
	});
}

// 评价详情
export function reply_detail(data, id) {
	return request({
		url: '/api/reply/detail/' + id,
		method: 'get',
		data
	});
}

// 评价点赞
export function reply_good(data, id) {
	return request({
		url: '/api/reply/good/' + id,
		method: 'post',
		data
	});
}

// 文章点赞
export function article_good(data, id) {
	return request({
		url: '/api/article/good/' + id,
		method: 'post',
		data
	});
}

//  我的草稿详情
export function reply_save(data, id) {
	return request({
		url: '/api/reply/save/' + id,
		method: 'get',
		data
	});
}

// 我的草稿 
export function reply_savelist(data) {
	return request({
		url: '/api/reply/save',
		method: 'get',
		data
	});
}

// 直播列表
export function live(data) {
	return request({
		url: '/api/wechat/live',
		method: 'get',
		data
	});
}

// 生成链接
export function short_link(data) {
	return request({
		url: '/api/wechat/short_link',
		method: 'post',
		data
	});
}

// 分享海报
export function reply_poster(data, id) {
	return request({
		url: '/api/reply/poster/' + id,
		method: 'post',
		data
	});
}
// 文章海报
export function article_poster(data, id) {
	return request({
		url: '/api/article/poster/' + id,
		method: 'post',
		data
	});
}

// 我的文章
export function my_article(data, id) {
	return request({
		url: '/api/article/my/' + id,
		method: 'get',
		data
	});
}

// 我的文章详情
export function my_detail(data, id) {
	return request({
		url: '/api/article/my_detail/' + id,
		method: 'get',
		data
	});
}

// 删除文章
export function delete_article(data, id) {
	return request({
		url: '/api/article/delete/' + id,
		method: 'post',
		data
	});
}

// 新增 修改文章
export function add_article(data) {
	return request({
		url: '/api/article/add',
		method: 'post',
		data
	});
}